Index: stable/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs
===================================================================
--- stable/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs	(revision 9976)
+++ stable/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs	(revision 9977)
@@ -51,4 +51,5 @@
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       this.configurationLabel = new System.Windows.Forms.Label();
+      this.helpLabel = new System.Windows.Forms.Label();
       this.SuspendLayout();
       // 
@@ -73,8 +74,6 @@
       this.viewsLabel.Size = new System.Drawing.Size(16, 16);
       this.viewsLabel.TabIndex = 0;
-      this.toolTip.SetToolTip(this.viewsLabel,
-        "Double-click to open a new window of the current view." + System.Environment.NewLine +
-        "Right-click to change current view." + System.Environment.NewLine +
-        "Drag icon to copy or link content to another view.");
+      this.toolTip.SetToolTip(this.viewsLabel, "Double-click to open a new window of the current view.\r\nRight-click to change cur" +
+        "rent view.\r\nDrag icon to copy or link content to another view.");
       this.viewsLabel.DoubleClick += new System.EventHandler(this.viewsLabel_DoubleClick);
       this.viewsLabel.MouseDown += new System.Windows.Forms.MouseEventHandler(this.viewsLabel_MouseDown);
@@ -102,8 +101,22 @@
       this.configurationLabel.MouseDoubleClick += new System.Windows.Forms.MouseEventHandler(this.configurationLabel_DoubleClick);
       // 
+      // helpLabel
+      // 
+      this.helpLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.helpLabel.Image = HeuristicLab.Common.Resources.VSImageLibrary.Help;
+      this.helpLabel.Location = new System.Drawing.Point(211, 44);
+      this.helpLabel.Margin = new System.Windows.Forms.Padding(6, 3, 3, 3);
+      this.helpLabel.Name = "helpLabel";
+      this.helpLabel.Size = new System.Drawing.Size(16, 16);
+      this.helpLabel.TabIndex = 3;
+      this.toolTip.SetToolTip(this.helpLabel, "Double-click to open help.");
+      this.helpLabel.Visible = false;
+      this.helpLabel.DoubleClick += new System.EventHandler(this.helpLabel_DoubleClick);
+      // 
       // ViewHost
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
+      this.Controls.Add(this.helpLabel);
       this.Controls.Add(this.viewsLabel);
       this.Controls.Add(this.configurationLabel);
@@ -121,4 +134,5 @@
     private HeuristicLab.MainForm.WindowsForms.ViewContextMenuStrip viewContextMenuStrip;
     private System.Windows.Forms.Label configurationLabel;
+    private System.Windows.Forms.Label helpLabel;
 
   }
Index: stable/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs
===================================================================
--- stable/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs	(revision 9976)
+++ stable/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs	(revision 9977)
@@ -103,4 +103,7 @@
           configurationLabel.Visible = activeView is IConfigureableView;
           configurationLabel.Enabled = activeView != null && !activeView.Locked;
+
+          helpLabel.Visible = activeView != null && ViewAttribute.HasHelpResourcePath(activeView.GetType());
+          helpLabel.Top = CalculateHelpLabelPosY();
         }
       }
@@ -210,5 +213,12 @@
       viewsLabel.Location = new Point(Width - viewsLabel.Margin.Right - viewsLabel.Width, viewsLabel.Margin.Top);
       configurationLabel.Location = new Point(Width - configurationLabel.Margin.Right - configurationLabel.Width, viewsLabel.Bottom + viewsLabel.Margin.Bottom + configurationLabel.Margin.Top);
-
+      helpLabel.Location = new Point(Width - helpLabel.Margin.Right - helpLabel.Width, CalculateHelpLabelPosY());
+    }
+
+    private int CalculateHelpLabelPosY() {
+      if (activeView != null && ViewAttribute.HasHelpResourcePath(activeView.GetType()) && !configurationLabel.Visible) {
+        return configurationLabel.Top;
+      }
+      return configurationLabel.Bottom + configurationLabel.Margin.Bottom + helpLabel.Margin.Top;
     }
 
@@ -302,4 +312,10 @@
       ((IConfigureableView)ActiveView).ShowConfiguration();
     }
+
+    private void helpLabel_DoubleClick(object sender, EventArgs e) {
+      using (InfoBox dialog = new InfoBox("Help for " + ViewAttribute.GetViewName(ActiveView.GetType()), ViewAttribute.GetHelpResourcePath(ActiveView.GetType()), ActiveView)) {
+        dialog.ShowDialog(this);
+      }
+    }
     #endregion
   }
Index: stable/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.Designer.cs
===================================================================
--- stable/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.Designer.cs	(revision 9977)
+++ stable/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.Designer.cs	(revision 9977)
@@ -0,0 +1,101 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.MainForm.WindowsForms {
+  partial class InfoBox {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.okButton = new System.Windows.Forms.Button();
+      this.infoRichTextBox = new System.Windows.Forms.RichTextBox();
+      this.SuspendLayout();
+      // 
+      // okButton
+      // 
+      this.okButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
+      this.okButton.Location = new System.Drawing.Point(549, 459);
+      this.okButton.Name = "okButton";
+      this.okButton.Size = new System.Drawing.Size(75, 23);
+      this.okButton.TabIndex = 0;
+      this.okButton.Text = "&OK";
+      this.okButton.UseVisualStyleBackColor = true;
+      // 
+      // infoRichTextBox
+      // 
+      this.infoRichTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.infoRichTextBox.BackColor = System.Drawing.SystemColors.Control;
+      this.infoRichTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.infoRichTextBox.Location = new System.Drawing.Point(12, 12);
+      this.infoRichTextBox.Name = "infoRichTextBox";
+      this.infoRichTextBox.ReadOnly = true;
+      this.infoRichTextBox.ScrollBars = System.Windows.Forms.RichTextBoxScrollBars.Vertical;
+      this.infoRichTextBox.Size = new System.Drawing.Size(612, 441);
+      this.infoRichTextBox.TabIndex = 1;
+      this.infoRichTextBox.Text = "";
+      // 
+      // InfoBox
+      // 
+      this.AcceptButton = this.okButton;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
+      this.ClientSize = new System.Drawing.Size(636, 494);
+      this.Controls.Add(this.infoRichTextBox);
+      this.Controls.Add(this.okButton);
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "InfoBox";
+      this.ShowIcon = false;
+      this.ShowInTaskbar = false;
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
+      this.Text = "Info Box";
+      this.Load += new System.EventHandler(this.InfoBox_Load);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    protected System.Windows.Forms.Button okButton;
+    protected System.Windows.Forms.RichTextBox infoRichTextBox;
+  }
+}
Index: stable/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.cs
===================================================================
--- stable/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.cs	(revision 9977)
+++ stable/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.cs	(revision 9977)
@@ -0,0 +1,62 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.IO;
+using System.Reflection;
+using System.Windows.Forms;
+
+namespace HeuristicLab.MainForm.WindowsForms {
+  public partial class InfoBox : Form {
+    protected string embeddedResourceName;
+    protected IView parentView;
+
+    public InfoBox(string caption, string embeddedResourceName, IView parentView) {
+      InitializeComponent();
+      this.Text = caption;
+      this.parentView = parentView;
+      this.embeddedResourceName = embeddedResourceName;
+    }
+
+    protected virtual void LoadEmbeddedResource() {
+      string extension = Path.GetExtension(embeddedResourceName);
+      Assembly assembly = Assembly.GetAssembly(parentView.GetType());
+      try {
+        using (Stream stream = assembly.GetManifestResourceStream(embeddedResourceName)) {
+          if (extension == ".rtf") {
+            infoRichTextBox.LoadFile(stream, RichTextBoxStreamType.RichText);
+          } else if (extension == ".txt") {
+            infoRichTextBox.LoadFile(stream, RichTextBoxStreamType.UnicodePlainText);
+          } else {
+            infoRichTextBox.Text = "Error: Unsupported help format: " + extension;
+          }
+        }
+      }
+      catch (Exception ex) {
+        infoRichTextBox.Text = "Error: Could not load help text. Exception is: " + Environment.NewLine + ex.ToString();
+      }
+    }
+
+    private void InfoBox_Load(object sender, EventArgs e) {
+      LoadEmbeddedResource();
+    }
+  }
+}
Index: stable/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLab.MainForm.WindowsForms-3.3.csproj
===================================================================
--- stable/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLab.MainForm.WindowsForms-3.3.csproj	(revision 9976)
+++ stable/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLab.MainForm.WindowsForms-3.3.csproj	(revision 9977)
@@ -138,4 +138,10 @@
       <DependentUpon>DefineArithmeticProgressionDialog.cs</DependentUpon>
     </Compile>
+    <Compile Include="Dialogs\InfoBox.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Dialogs\InfoBox.Designer.cs">
+      <DependentUpon>InfoBox.cs</DependentUpon>
+    </Compile>
     <Compile Include="Plugin.cs" />
     <Compile Include="Views\AsynchronousContentView.cs">
@@ -266,5 +272,4 @@
     </BootstrapperPackage>
   </ItemGroup>
-  <ItemGroup />
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: stable/HeuristicLab.MainForm/3.3/ViewAttribute.cs
===================================================================
--- stable/HeuristicLab.MainForm/3.3/ViewAttribute.cs	(revision 9976)
+++ stable/HeuristicLab.MainForm/3.3/ViewAttribute.cs	(revision 9977)
@@ -28,4 +28,10 @@
     public ViewAttribute(string name) {
       this.name = name;
+      this.helpResourcePath = string.Empty;
+    }
+
+    public ViewAttribute(string name, string helpResourcePath) {
+      this.name = name;
+      this.helpResourcePath = helpResourcePath;
     }
 
@@ -34,4 +40,10 @@
       get { return this.name; }
       set { this.name = value; }
+    }
+
+    private string helpResourcePath;
+    public string HelpResourcePath {
+      get { return this.helpResourcePath; }
+      set { this.helpResourcePath = value; }
     }
 
@@ -47,4 +59,18 @@
       return viewType.Name;
     }
+
+    public static string GetHelpResourcePath(MemberInfo viewType) {
+      ViewAttribute[] attributes = (ViewAttribute[])viewType.GetCustomAttributes(typeof(ViewAttribute), false);
+      if (attributes.Length == 1)
+        return attributes[0].helpResourcePath;
+      return string.Empty;
+    }
+
+    public static bool HasHelpResourcePath(MemberInfo viewType) {
+      ViewAttribute[] attributes = (ViewAttribute[])viewType.GetCustomAttributes(typeof(ViewAttribute), false);
+      if (attributes.Length == 1)
+        return attributes[0].helpResourcePath != string.Empty;
+      return false;
+    }
   }
 }