Index: /trunk/sources/HeuristicLab 3.3.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3.sln	(revision 9981)
+++ /trunk/sources/HeuristicLab 3.3.sln	(revision 9982)
@@ -132,5 +132,4 @@
 		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937} = {BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}
 		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5} = {6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A} = {98EF72F8-D207-4A5B-8291-95DC73DDFD9A}
 		{E4EE5AFB-D552-447B-8A16-6CBE7938AF32} = {E4EE5AFB-D552-447B-8A16-6CBE7938AF32}
 	EndProjectSection
@@ -382,6 +381,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.DataAnalysis.Trading.Views-3.4", "HeuristicLab.Problems.DataAnalysis.Trading.Views\3.4\HeuristicLab.Problems.DataAnalysis.Trading.Views-3.4.csproj", "{CB3D0A1E-1BE8-476B-A53C-2B189E30064F}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.Instances.TestFunctions-3.3", "HeuristicLab.Problems.Instances.TestFunctions\3.3\HeuristicLab.Problems.Instances.TestFunctions-3.3.csproj", "{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}"
 EndProject
 Global
@@ -1859,16 +1856,4 @@
 		{CB3D0A1E-1BE8-476B-A53C-2B189E30064F}.Release|x86.ActiveCfg = Release|x86
 		{CB3D0A1E-1BE8-476B-A53C-2B189E30064F}.Release|x86.Build.0 = Release|x86
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Debug|x64.ActiveCfg = Debug|x64
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Debug|x64.Build.0 = Debug|x64
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Debug|x86.ActiveCfg = Debug|x86
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Debug|x86.Build.0 = Debug|x86
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Release|Any CPU.Build.0 = Release|Any CPU
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Release|x64.ActiveCfg = Release|x64
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Release|x64.Build.0 = Release|x64
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Release|x86.ActiveCfg = Release|x86
-		{98EF72F8-D207-4A5B-8291-95DC73DDFD9A}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /trunk/sources/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 9981)
+++ /trunk/sources/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 9982)
@@ -119,5 +119,4 @@
     <Compile Include="IDataDescriptor.cs" />
     <Compile Include="Types\DistanceHelper.cs" />
-    <Compile Include="Types\SOTFData.cs" />
     <Compile Include="Types\VRP\MDCVRPTWData.cs" />
     <Compile Include="Types\VRP\MDCVRPData.cs" />
@@ -144,9 +143,4 @@
       <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
       <Name>HeuristicLab.Common-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
-      <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
-      <Name>HeuristicLab.Core-3.3</Name>
       <Private>False</Private>
     </ProjectReference>
Index: /trunk/sources/HeuristicLab.Problems.Instances/3.3/Plugin.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances/3.3/Plugin.cs.frame	(revision 9981)
+++ /trunk/sources/HeuristicLab.Problems.Instances/3.3/Plugin.cs.frame	(revision 9982)
@@ -26,5 +26,4 @@
   [PluginFile("HeuristicLab.Problems.Instances-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
-  [PluginDependency("HeuristicLab.Core", "3.3")]
   public class HeuristicLabProblemsInstancesPlugin : PluginBase {
   }
Index: unk/sources/HeuristicLab.Problems.Instances/3.3/Types/SOTFData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances/3.3/Types/SOTFData.cs	(revision 9981)
+++ 	(revision )
@@ -1,44 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Core;
-
-namespace HeuristicLab.Problems.Instances {
-  /// <summary>
-  /// Describes instances of Single Objective Test Functions (SOTF).
-  /// </summary>
-  public class SOTFData {
-    /// <summary>
-    /// The name of the instance
-    /// </summary>
-    public string Name { get; set; }
-
-    /// <summary>
-    /// Optional! The description of the instance
-    /// </summary>
-    public string Description { get; set; }
-
-    /// <summary>
-    /// The operator used for evaluations
-    /// </summary>
-    public IOperator Evaluator { get; set; }
-  }
-}
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/HeuristicLab.Problems.TestFunctions-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/HeuristicLab.Problems.TestFunctions-3.3.csproj	(revision 9981)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/HeuristicLab.Problems.TestFunctions-3.3.csproj	(revision 9982)
@@ -110,4 +110,7 @@
     <Compile Include="Evaluators\RandomEvaluator.cs" />
     <Compile Include="Improvers\SingleObjectiveTestFunctionImprovementOperator.cs" />
+    <Compile Include="Instances\SOTFData.cs" />
+    <Compile Include="Instances\SOTFDataDescriptor.cs" />
+    <Compile Include="Instances\SOTFInstanceProvider.cs" />
     <Compile Include="MoveEvaluators\RandomAdditiveMoveEvaluator.cs" />
     <Compile Include="PathRelinkers\SingleObjectiveTestFunctionPathRelinker.cs" />
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Instances/SOTFData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Instances/SOTFData.cs	(revision 9982)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Instances/SOTFData.cs	(revision 9982)
@@ -0,0 +1,43 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+
+namespace HeuristicLab.Problems.TestFunctions {
+  /// <summary>
+  /// Describes instances of Single Objective Test Functions (SOTF).
+  /// </summary>
+  public class SOTFData {
+    /// <summary>
+    /// The name of the instance
+    /// </summary>
+    public string Name { get; set; }
+
+    /// <summary>
+    /// Optional! The description of the instance
+    /// </summary>
+    public string Description { get; set; }
+
+    /// <summary>
+    /// The operator used for evaluations
+    /// </summary>
+    public ISingleObjectiveTestFunctionProblemEvaluator Evaluator { get; set; }
+  }
+}
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Instances/SOTFDataDescriptor.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Instances/SOTFDataDescriptor.cs	(revision 9982)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Instances/SOTFDataDescriptor.cs	(revision 9982)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Problems.Instances;
+
+namespace HeuristicLab.Problems.TestFunctions {
+  internal class SOTFDataDescriptor : IDataDescriptor {
+    public string Name { get { return Evaluator.FunctionName + " Function"; } }
+
+    public string Description {
+      get { return Evaluator.Description; }
+    }
+
+    internal ISingleObjectiveTestFunctionProblemEvaluator Evaluator { get; set; }
+
+    public SOTFDataDescriptor(ISingleObjectiveTestFunctionProblemEvaluator evaluator) {
+      Evaluator = evaluator;
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Instances/SOTFInstanceProvider.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Instances/SOTFInstanceProvider.cs	(revision 9982)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Instances/SOTFInstanceProvider.cs	(revision 9982)
@@ -0,0 +1,61 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.Instances;
+
+namespace HeuristicLab.Problems.TestFunctions {
+  public class SOTFInstanceProvider : ProblemInstanceProvider<SOTFData> {
+    public override string Name {
+      get { return "General"; }
+    }
+
+    public override string Description {
+      get { return "Single Objective Test Functions"; }
+    }
+
+    public override Uri WebLink {
+      get { return new Uri("http://dev.heuristiclab.com/trac/hl/core/wiki/TestFunctions"); }
+    }
+
+    public override string ReferencePublication {
+      get { return string.Empty; }
+    }
+
+    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
+      var evaluators = ApplicationManager.Manager.GetInstances<ISingleObjectiveTestFunctionProblemEvaluator>()
+                                                 .OrderBy(x => x.Name);
+      return evaluators.Select(x => new SOTFDataDescriptor(x));
+    }
+
+    public override SOTFData LoadData(IDataDescriptor id) {
+      var descriptor = (SOTFDataDescriptor)id;
+      return new SOTFData {
+        Name = descriptor.Name,
+        Description = descriptor.Description,
+        Evaluator = descriptor.Evaluator
+      };
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 9981)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 9982)
@@ -410,5 +410,5 @@
       Name = data.Name;
       Description = data.Description;
-      Evaluator = (ISingleObjectiveTestFunctionProblemEvaluator)data.Evaluator;
+      Evaluator = data.Evaluator;
     }
   }